# dvalv

A tool for decrypting [Valv](https://github.com/Arctosoft/Valv-Android)-encrypted files.

[![Build status](https://builds.sr.ht/~ser/dvalv/.build.yml.svg)](https://builds.sr.ht/~ser/dvalv/.build.yml?) ★ [Releases](https://downloads.ser1.net/software/dvalv/) ★ [Changelog](https://hg.sr.ht/~ser/dvalv/browse/CHANGELOG.md?rev=tip) ★ [![Go Report Card](https://goreportcard.com/badge/ser1.net/dvalv)](https://goreportcard.com/report/ser1.net/dvalv)

## About

dvalv takes one or more file arguments, prompts for a password, and then
attempts to decrypt those files. The output file names are read from the
encrypted file metadata.

```
dvalv EmOz8t9xAdHbMvoJdN0L26AC3VOQcFOr-i.valv
```

## Installing

dvalv can be installed directly with `go install`:

```
go install ser1.net/dvalv@latest
```

Binaries for Linux, Windows, and Darwin are provided by the CI process. See the
[Releases](https://downloads.ser1.net/software/dvalv/) link above.
